package me.kcm.events;

import net.minecraft.block.state.IBlockState;
import net.minecraft.entity.Entity;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;
import net.minecraftforge.event.world.BlockEvent;
import net.minecraftforge.fml.common.eventhandler.Cancelable;

@Cancelable
public class FarmlandTrampleEvent extends BlockEvent
{
    private final float fallDistance;
    private final Entity ent;
    
    public FarmlandTrampleEvent(World world, BlockPos pos, IBlockState state, float fallDistance, Entity ent) 
    {
        super(world, pos, state);
        this.fallDistance = fallDistance;
        this.ent = ent;
    }

    public float getFallDistance() 
    {
        return fallDistance;
    }

    public Entity getEntity() 
    {
        return ent;
    }
}
