package me.kcm.events;

import net.minecraft.entity.EntityLivingBase;
import net.minecraft.util.DamageSource;
import net.minecraftforge.event.entity.living.LivingEvent;

public class LivingDamageCalculationEvent extends LivingEvent
{
    private final DamageSource source;
    private float amount;
    public LivingDamageCalculationEvent(EntityLivingBase liv, DamageSource source, float amount)
    {
        super(liv);
        this.source = source;
        this.amount = amount;
    }

    public DamageSource getSource() 
    {
        return source; 
    }

    public float getAmount() 
    {
        return amount; 
    }

    public void setAmount(float amount)
    {
        this.amount = amount; 
    }
}
